Bug 220919 - Review Request: kronolith - The Horde calendar application
Summary: Review Request: kronolith - The Horde calendar application
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-12-28 21:43 UTC by Brandon Holbrook
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-30 06:25:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brandon Holbrook 2006-12-28 21:43:35 UTC
Spec URL: http://theholbrooks.org/RPMS/kronolith.spec
SRPM URL: http://theholbrooks.org/RPMS/kronolith-2.1.3-1.src.rpm

Description:
Kronolith is the Horde calendar application.  It provides repeating
events, all-day events, custom fields, keywords, and managing multiple
users through Horde Authentication.  The calendar API that Kronolith
uses is abstracted; MCAL and SQL drivers are currently provided.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Kronolith)
please visit http://www.horde.org/.

Comment 1 Brandon Holbrook 2006-12-28 22:02:55 UTC
Spec URL: http://theholbrooks.org/RPMS/kronolith.spec
SRPM URL: http://theholbrooks.org/RPMS/kronolith-2.1.4-1.src.rpm

Wups, forgot to bump to 2.1.4 :)

Comment 2 Jason Tibbitts 2006-12-30 02:11:37 UTC
I needed to remove "tarballs/" from the Source URL in order to grab the
tarball.  Other than that, this package is fine so you can fix it when you check in.

As with the other horde-using packages, these rpmlint warnings are expected
and necessary:
E: kronolith htaccess-file /usr/share/horde/kronolith/scripts/.htaccess
E: kronolith non-readable /etc/horde/kronolith/conf.xml 0660
  [six more]
E: kronolith non-standard-dir-perm /etc/horde/kronolith 0770
E: kronolith non-standard-gid /etc/horde/kronolith apache
  [seven more]
E: kronolith non-standard-uid /etc/horde/kronolith apache
  [seven more]
W: kronolith conffile-without-noreplace-flag /etc/horde/kronolith/conf.xml
  [three more]

Review:
* source files match upstream:
   df6d6fc99012865b18b089212c7544ad  kronolith-h3-2.1.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has only ignoreable complaints.
* final provides and requires are sane:
   config(kronolith) = 2.1.4-1.fc7
   kronolith = 2.1.4-1.fc7
  =
   /usr/bin/php
   config(kronolith) = 2.1.4-1.fc7
   horde >= 3
   php >= 4.3.0
* %check is not present; no test suite upstream.  Basic manual testing shows
  things work OK
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* locales are handled properly.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Comment 3 Brandon Holbrook 2006-12-30 06:25:29 UTC
Changed download URL, Imported, Built, Branches requested


Note You need to log in before you can comment on or make changes to this bug.